package com.gyee.wisdom.common.data.timeseries;

import java.util.Date;

public interface TsQuery {

    TsPoint getTsPoint();

    long getStartTs();

    long getEndTs();

    // 单位秒
    int getInterval();

    int getLimit();

    Interpolation getInterpolation();

    Date[] getDateArray();
}
